Bug 602124 - mcview segfaults when viewing a man page
mcview segfaults when viewing a man page
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-09 04:10 EDT by Jindrich Novy
Modified: 2013-07-02 19:45 EDT (History)
6 users (show)

See Also:
Fixed In Version: mc-4.7.2-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-09 05:03:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix the segfault (458 bytes, patch)
2010-06-09 04:11 EDT, Jindrich Novy
no flags Details | Diff

  None (edit)
Description Jindrich Novy 2010-06-09 04:10:16 EDT
Description of problem:
mview segfaults when trying to view a man page.

Version-Release number of selected component (if applicable):
mc-4.7.2-1.fc14

How reproducible:
always

Steps to Reproduce:
1. mcview /usr/share/man/man1/bash.1.gz
  
Actual results:
Segfault

Expected results:
man page is displayed.
Comment 1 Jindrich Novy 2010-06-09 04:11:26 EDT
Created attachment 422469 [details]
Patch to fix the segfault
Comment 2 Jindrich Novy 2010-06-09 05:03:13 EDT
Applied.
Comment 3 Slava Zanko 2010-06-09 10:33:09 EDT
Thanks for bugreport & patch.
Bug filled in upstream: http://www.midnight-commander.org/ticket/2236
Comment 4 Fedora Update System 2010-06-16 05:03:51 EDT
mc-4.7.2-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mc-4.7.2-2.fc13
Comment 5 Fedora Update System 2010-06-16 05:13:31 EDT
mc-4.7.2-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mc-4.7.2-2.fc12
Comment 6 Fedora Update System 2010-06-16 05:19:01 EDT
mc-4.7.2-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mc-4.7.2-2.fc11
Comment 7 Fedora Update System 2010-06-28 13:17:33 EDT
mc-4.7.2-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-06-28 13:20:45 EDT
mc-4.7.2-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.